summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2016-05-27 13:55:55 -0700
committerJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2016-05-29 20:11:30 +0000
commitb682140c6f790d37823cdae61059cd1516bd659b (patch)
tree175b5f989162c8a8390ccf0120717b3d6deaca3d
parentcatalyst-auto: datestamp tmpdir for ease of debug. (diff)
downloadreleng-b682140c6f790d37823cdae61059cd1516bd659b.tar.gz
releng-b682140c6f790d37823cdae61059cd1516bd659b.tar.bz2
releng-b682140c6f790d37823cdae61059cd1516bd659b.zip
emerge must use repos.conf now, instead of PORTDIR.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
-rwxr-xr-xscripts/update_auto_tree14
-rwxr-xr-xscripts/update_experimental_tree15
-rwxr-xr-xscripts/update_official_tree14
-rwxr-xr-xscripts/update_snapshot_tree14
4 files changed, 52 insertions, 5 deletions
diff --git a/scripts/update_auto_tree b/scripts/update_auto_tree
index 3e04c2f5..c63debc6 100755
--- a/scripts/update_auto_tree
+++ b/scripts/update_auto_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/home/release/trees/portage-auto/" FEATURES="$FEATURES -news" emerge --sync -q
+PORTDIR="/home/release/trees/portage-auto/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q
diff --git a/scripts/update_experimental_tree b/scripts/update_experimental_tree
index c3dc8b4d..b289e4e4 100755
--- a/scripts/update_experimental_tree
+++ b/scripts/update_experimental_tree
@@ -1,3 +1,14 @@
#!/bin/bash
-#PORTDIR="/home/release/trees/portage-experimental/" FEATURES="$FEATURES -news" emerge --sync -q
-PORTAGE_REPOSITORIES=$'[gentoo]\nlocation = /home/release/trees/portage-experimental/\nsync-type = rsync\nsync-uri = rsync://rsync.gentoo.org/gentoo-portage' FEATURES="$FEATURES -news" emerge --sync -q
+PORTDIR="/home/release/trees/portage-experimental/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q
diff --git a/scripts/update_official_tree b/scripts/update_official_tree
index 250e9056..3424cb64 100755
--- a/scripts/update_official_tree
+++ b/scripts/update_official_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/release/trees/portage-official/" emerge --sync
+PORTDIR="/release/trees/portage-official/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q
diff --git a/scripts/update_snapshot_tree b/scripts/update_snapshot_tree
index f64742dc..3a5284ad 100755
--- a/scripts/update_snapshot_tree
+++ b/scripts/update_snapshot_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/release/trees/portage-snapshot/" emerge --sync
+PORTDIR="/release/trees/portage-snapshot/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q